Salesly API
API Reference

Create multiple orders (max 50)

POST
/orders/batch

Authorization

x-api-key<token>

Your tenant API key

In: header

Request Body

application/jsonRequired
data
Required
array<object>
curl -X POST "https://rest.salesly.app/api/v1/developers/orders/batch" \
  -H "x-api-key: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "data": [
      {
        "enterprise_identifier": "string",
        "user_email": "[email protected]",
        "reference": "string",
        "date_limit": "2019-08-24",
        "state": 0,
        "opportunity_id": 0,
        "comments": "string",
        "extra_fields": {},
        "products": [
          {
            "reference": "string",
            "rate_sku": "string",
            "cost": 0,
            "price": 0,
            "discount": 100,
            "quantity": 0,
            "comment": "string",
            "description": "string"
          }
        ]
      }
    ]
  }'

Orders created

{
  "created_ids": [
    0
  ]
}